Skip to Content

Remove a block entry

Permanently deletes a block entry, unblocking the associated address or domain. Request: DELETE /v1/email/blocks/{id}. Scope: email:send.

DELETE
/v1/email/blocks/{id}

Permanently deletes a block entry, unblocking the associated address or domain.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^blk_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

SuccessResult

application/json
  1. response
success*boolean
message*string
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.email.removeBlock({
  "id": "example"
});
Example Response
{
  "success": true,
  "message": "string"
}

Related documentation